﻿using System;
using System.Collections.Generic;
using Syncfusion.SfNavigationDrawer.iOS;

#if __UNIFIED__
using Foundation;
using UIKit;
using CoreGraphics;

#else
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using MonoTouch.CoreGraphics;
using nint = System.Int32;
using nuint = System.Int32;
using CGSize = System.Drawing.SizeF;
using CGRect = System.Drawing.RectangleF;
using nfloat  = System.Single;
#endif

namespace NavigationDrawer
{
	public class NavigationDrawer : UIView
	{		
		UILabel headerViewLabel;
	public UITableView table;
		UIView HeaderView;
		static public SFNavigationDrawer sideMenuController;
		static public MainPageView mainView;
		public string[] tableItems;
		public NavigationDrawer ()
		{

			sideMenuController = new SFNavigationDrawer ();


		}


		public override void LayoutSubviews ()
		{

			//NavigationDrawer initialize

			mainView = new MainPageView();
			UIButton menubutton=new UIButton();
			UILabel mainLabel = new UILabel ();
			mainLabel.Text = "MainView";
			menubutton.Frame =new CGRect (10, 10, 30, 30);
			menubutton.SetBackgroundImage (new UIImage ("Image/menu.png"), UIControlState.Normal);
			mainView.AddSubview (menubutton);
			mainView.BackgroundColor = UIColor.Gray;
			mainLabel.Frame =new CGRect(150, 300, 100, 100);
			mainView.AddSubview (mainLabel);


			sideMenuController.ContentView = mainView;
			if((UIDevice.CurrentDevice).UserInterfaceIdiom == UIUserInterfaceIdiom.Pad)
			{
				sideMenuController.DrawerWidth = (this.Bounds.Width*40)/100;
			}
			else
				sideMenuController.DrawerWidth = (this.Bounds.Width*60)/100;

			sideMenuController.DrawerHeight = this.Bounds.Height;
			mainView.Frame = new CGRect (0, 0, this.Bounds.Width, this.Bounds.Height);

			//Menu Page Design

			this.BackgroundColor = UIColor.FromRGB(63,134,246);
			HeaderView = new UIView ();
			HeaderView.Frame = new CGRect (0, 0, sideMenuController.DrawerWidth, 100);
			HeaderView.BackgroundColor = UIColor.FromRGB (49, 173, 225);
			UIView centerview = new UIView ();
			centerview.Frame = new CGRect (0, 100, sideMenuController.DrawerWidth, this.Frame.Height-200);
			UILabel contentLabel = new UILabel ();
			contentLabel.Text="DrawerContentView";

			contentLabel.Frame = new CGRect (50, 100, 200, 100);


			headerViewLabel = new UILabel ();
			headerViewLabel.Frame =new CGRect (0, 70, sideMenuController.DrawerWidth, 30);
			headerViewLabel.Text="DrawerHeaderView";
			headerViewLabel.TextColor = UIColor.White;
			headerViewLabel.TextAlignment = UITextAlignment.Center;
			HeaderView.AddSubview (headerViewLabel);
			UIView footerView = new UIView ();
			footerView.Frame = new CGRect (0, 0, sideMenuController.DrawerWidth, 100);
			footerView.BackgroundColor=UIColor.FromRGB(163,234,246);
			UILabel footerLabel = new UILabel ();
			footerLabel.Text="DrawerFooterView";
			footerLabel.Frame=new  CGRect (50, 20, 200, 100);
			footerView.AddSubview (footerLabel);

			sideMenuController.DrawerFooterHeight = 0;
			sideMenuController.DrawerHeaderHeight = 0;

			table = new UITableView(new CGRect(0, 0, sideMenuController.DrawerWidth, this.Frame.Height)); // defaults to Plain style
			tableItems = new string[] { "Cut", "Polish", "Symmetry", "Certificate", "Location", "More..." };//"Home",
			TableSource1 tablesource = new TableSource1(tableItems);
			tablesource.customise = false;
			table.Source = tablesource;


			//centerview.AddSubview(table);
			centerview.AddSubview(table);



			//sideMenuController.DrawerHeaderView = HeaderView;
			sideMenuController.DrawerContentView = centerview;
			sideMenuController.DrawerFooterView = footerView;
			sideMenuController.DrawerHeight = 250;
			sideMenuController.Position = SFNavigationDrawerPosition.SFNavigationDrawerPositionLeft;
			sideMenuController.Frame = new CGRect(0, 50, this.Frame.Width, this.Frame.Height-50);

			CGRect toolbar = new CGRect(0, 0, this.Frame.Width, 50);
			var tb = new UIToolbar(toolbar);
			tb.BarTintColor = UIColor.Black;
			tb.Add(menubutton);


			this.AddSubview (sideMenuController);
			this.AddSubview(tb);


			menubutton.TouchDown+= (object sender, System.EventArgs e) => 
			{
				sideMenuController.ToggleDrawer();

			};
				
		}



	}
}
